Zum Inhalt springen

Das Profil des angemeldeten Mitglieds

GET
/v1/me
curl --request GET \
--url https://api.vimine.network/v1/me \
--header 'Authorization: Bearer <token>'

Das Profil

Medientypapplication/json
object
sub
erforderlich

Die Subject-Kennung dieser Person, wie im ID-Token

string
email
erforderlich
string Format: email
email_verified
erforderlich
boolean
first_name
string
nullable
last_name
string
nullable
phone
string
nullable
dob
string Format: date
nullable
gender

Nur statistisch

string
nullable
Erlaubte Werte: M F
birthplace
string
nullable
birth_country

ISO 3166-1 alpha-2

string
nullable
codicefiscale

Optional: Eine Person kann keine haben

string
nullable
codicefiscale_check

Wie die Person identifiziert ist. matched: eine Steuernummer, die zu ihren Angaben passt; mismatch_confirmed: eine abweichende Steuernummer, von der Person bestätigt; absent: keine Steuernummer — Geburtsdatum, Geburtsort und Geburtsland identifizieren sie; null: noch nicht identifiziert (sie kann keine Mitgliedschaft beantragen)

string
nullable
Erlaubte Werte: matched mismatch_confirmed absent
locale

Die Sprache, die die Person für die Plattform und ihre E-Mails gewählt hat; null: nie gewählt — dann gilt die Sprache der Anfrage, danach die des Vereins

string
nullable
Erlaubte Werte: it en zh-Hans zh-Hant fr es de pt-BR
updated_at
string Format: date-time
nullable
Beispiel
{
"gender": "M",
"codicefiscale_check": "matched",
"locale": "it"
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Fehlende oder ungültige Zugangsdaten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht erlaubt

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}